I have two primary servers (SLES 11 SP3) that I just upgraded from ZENworks 11.3.2 to 11.4.0, and I am trying to run the Post SP4 Update Prereq so I can get the servers to 11.4.2 and then update the OS to SLES11 SP4. My first problem is that when I try to run the update against either both servers, or the one server holding the database, I get the following error message trying to deploy the update

The wizard cannot continue for the following reason(s):
ErrorUnable to complete your request for the following reason: The ZENworks Server and/or the ZENworks Loader services are running on one or more different Primary Servers. Shutdown the ZENworks Monitor, ZENworks Server and ZENworks Loader services before proceeding.

If I stop ZENworks on the one server and try to run the update, I don't get the above error, but the update aborts after a while.